
Redmine - Defect #14274

Default Issue Value Workflow  doesn't work as expected

2013-06-13 13:52 - Jorge S.

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.0

Description

Hi, I have a New and Confirmed statuses in Redmine 2.3

My intention is to have New for newly opened tickets (obviously), and then users can set it to Confirmed.

The problem is that at creation time, it is possible to set New or Confirmed.

In my Workflow I have edited:

Current Status--------------------- New allowed Statuses

New ------------------------------- New -- Confirmed (X) -- Rejected

Confirmed ------------------------- New -- Confirmed ------ Rejected

Rejected -------------------------- New -- Confirmed ------ Rejected

For Non-Member users...

I think the problem is that when displaying the New Issue form, it loads the page as having the issue with Status New, so it is

showing Confirmed too.

Any non-hack way to hide the Status field for new issues?

Thanks!

Related issues:

Is duplicate of Redmine - Feature #5816: New issue initial status should be s... Closed 2010-07-05

History

#1 - 2021-07-03 10:59 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

In Redmine 3.2.0 or later, you can limit the statuses that can be set for a new issue. See #5816 for details.

#2 - 2021-07-03 11:00 - Go MAEDA

- Is duplicate of Feature #5816: New issue initial status should be settable in workflow added
